@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

html{
    
    font-family: "Inter", sans-serif;
}


body{
    background: linear-gradient(135deg, #e3f2fd ,#ffffff);
}
/* univarsal selector */

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
.logo{
    width: 100%;
     height: 30vh; 
    /* height: auto; */
    background-color: brown;
    text-align: center;
    display: grid;
    align-items: center;
    justify-content: center;
    position: relative;
}

/* .logo img{
    position: absolute;
    left: 5rem;
    
} */



#date{
    
}

#date::before{
    content: "Date:";
    position: relative;
    right: 0.3rem;
   
   
    font-weight: bold;
    
    
}

#date{
     position: absolute;
    top: 0.2rem;
    font-size: 1.2rem;
    left: 0.4rem;
   
   

}


#timelogo{
  

    position: absolute;
    top: 0.1rem;
    right: 1rem;
   

}

#timelogo::before{
      content: "Time:";
      position: relative;
      right: 0.6rem;
    font-weight: bold;
    
   
     
      

}





.logo::before{
    content: "Sarkari Networker";
    font-size: 3rem;
    color: white;
    font-weight: bold;

    
    
}


.header_1{
     position: relative;
    width: 100%;
    min-height: 10vh;
    display: grid;
    align-items: center;
    background-color: rgba(0, 255, 255, 0.136);
    
}


#menuicon{
     position: absolute;  
    font-size: 1.8rem;
    left: 1rem;

    display: none;
   
   
 
}


#cross{
    font-size: 2.5rem;
    position: absolute;
    top: 0.8rem;
    left: 2rem;
}


#cross{
    display: none;
    

}


#menuicon::after{
    content: "Menu";
    letter-spacing: 0.2rem;
    position: absolute;
    left: 1.8rem;
    top: 0.2rem;
    font-size: 1.5rem;
    
    
    
    
    
}


.header_1 .nav_1 .ul_1{
    display: flex;
    justify-content: space-evenly;
     

}

.header_1 .nav_1 .ul_1  li{
    list-style-type: none;
    

}

.header_1 .nav_1 .ul_1  li a{
    
 text-decoration: none;
 font-weight: bold;
 padding: 0.5rem;
 border-radius: 0.5rem;
 transition-property: all;
transition-duration: 0.3s;
transition-timing-function: ease-in;
}


.header_1 .nav_1 .ul_1  li a:hover{
    background-color: gray;
    color: white;
    

}




.article_1{
    margin:1rem 2rem;
}



.article_1 .section_1 .contaner_sbox{
    display: grid;
    grid-template-columns: repeat(4,1fr);
    gap: 1rem;

}





.sbox{
    height: 15vh;
    border: 2px solid red;
    display: grid;
    align-items: center;
    text-align: center;
    border-radius: 0.5rem;
    background-color: rgb(128, 128, 128);
   
}


.article_2{
    margin:1rem 2rem;
}




.article_2 .section_2 .contaner_lbox{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 1rem;

}


.article_2 .section_2 .contaner_lbox li{
    list-style-type: none;
    
    margin-top: 1.5rem;

}

.article_2 .section_2 .contaner_lbox .view_more{
    list-style-type: none;
    display: grid;
    justify-content: center;
    margin-top: 2rem;
   
  
    

}





.article_2 .section_2 .contaner_lbox li {
    text-align: center;
   
  
   
  
    

}



.article_2 .section_2 .contaner_lbox .view_more a{
    padding: 0.5rem;
    background-color:blue;
    border-radius: 0.5rem;
    text-decoration: none;
    color: white;
  
   
  
    

}


.article_2 .section_2 .contaner_lbox .view_more a{
    padding: 0.5rem;
    background-color:blue;
    border-radius: 0.5rem;
    text-decoration: none;
    color: white;
  
   
  
    

}

.lbox{
    height: auto;
    border: 2px solid red;
   
}


.article_2 .section_2 .contaner_lbox .lbox p{
    text-align: center;
    background-color: brown;
    font-size: 1.5rem;
   
}





.article_1 .section_1 .contaner_sbox .sbox p a{
    text-decoration: none;
   font-weight: 600;
    color: white;
    
   

  
   
}



.article_2 .section_2 .contaner_lbox .lbox p a{
    text-align: center;
    background-color: brown;
    font-size: 1.5rem;

  
   
}

.article_2 .section_2 .contaner_lbox .lbox p a{
    color: white;
    text-decoration: none;
    font-weight: bold;

  
   
}

footer{
    height: 30vh;
    background-color: rgba(128, 128, 128, 0.564);
    display: grid;
    align-items: center
}

footer .ul_2{
    display: flex;
    justify-content: space-evenly;
    
}


footer .ul_2 li {
   list-style-type: none;
   
}

footer .ul_2 li a{
    text-decoration: none;
    color: white;
   
}

/* 01/11/2025  logoicon */
#logoicon{
    font-size: 1.5rem;
}



.contect{
    text-align: center;
}

.ul_3{
    display: flex;
    justify-content: space-evenly;
    font-size: 1.4rem;
    font-weight: 700;
    list-style-type: none;
}

.ul_3 li a{
    text-decoration: none;
   
}




/* response to media query for responsive design  */


@media screen and (max-width:1040px){


   .header_1 .nav_1 .ul_1 li a{
    font-size: 1.5vw;
   }
    


}

@media screen and (max-width:997px){


   .header_1{
    height: auto;
   }


   #nav1{
   display: none;
   

   }  

   
   .header_1 .nav_1 .ul_1 li a{
    font-size: 1rem
   }



   #menuicon{
   
     display: block;
    position: absolute;
    top: 1rem; 
   
   }

   .header_1 .nav_1 .ul_1{
    flex-direction: column;
    display: grid;
    justify-content: center;
    margin-top: 3rem;
  
   }



   .header_1 .nav_1 .ul_1 li {
     margin-top: 1rem;
   }


.article_1{
    margin:1rem 0.5rem;
}



.article_2{
    margin:1rem 0.5rem;
}

   
.article_1 .section_1 .contaner_sbox{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 1rem;

}

.article_2 .section_2 .contaner_lbox{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap: 1rem;

}
    


}


@media screen and (max-width:669px){

    
.article_1 .section_1 .contaner_sbox{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap: 1rem;

}


.article_2 .section_2 .contaner_lbox li{
    list-style-type: none;
    
    margin-top: 1.5rem;

}


.article_1{
    margin:1rem 0.5rem;
}



.article_2{
    margin:1rem 0.5rem;
}

    

}

    

    



